petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMClearDS

Remove all discrete systems from the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMClearDS(DM dm)

Logically collective on dm

### Input Parameter

dm -The DM

### See Also

DMGetNumDS(), DMGetDS(), DMSetField()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages